# drf技术官方文档

* [推送：python-socketio](https://python-socketio.readthedocs.io/en/stable/)
* [基础：django](https://www.django.cn/course/show-11.html)
* [rest框架：djangorestframework](https://q1mi.github.io/Django-REST-framework-documentation/)
* [rest框架额外提供的过滤器：django-filter](https://django-filter.readthedocs.io/en/stable/)

# django基本操作

```shell
# 新建模块
python manage.py startapp system

# 创建管理员
python manage.py createsuperuser

# 启动
python manage.py runserver 0.0.0.0:8000

# model有变更时
python manage.py makemigrations

# 执行model变更
python manage.py migrate

# 导出数据
python manage.py dumpdata system.Menu > init_data/menu.json

# 导入数据
python manage.py loaddata init_data/menu.json

# gunicorn启动
venv/bin/gunicorn --reload -D -w 2 --threads 50 -b 0.0.0.0:9000 app.wsgi

# gunicorn停止
ps aux | grep 'python' | grep 'gunicorn' | grep '9000' | awk '{print $2}' | xargs kill -9

# socketio_server启动
cd socketio_server
../venv/bin/gunicorn -k eventlet -w 1 -b 0.0.0.0:9100 socketio_server:app

# socketio_server停止
ps aux | grep 'python' | grep 'gunicorn' | grep '9100' | awk '{print $2}' | xargs kill -9

# 下载whl依赖包
venv/bin/pip download -d download_whl/ -r requirements.txt -i https://mirrors.aliyun.com/pypi/simple/
```
