# Generated by Django 4.1.13 on 2025-01-03 16:38

from django.db import migrations, models
import django.db.models.deletion
import model
import utils.util


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Agent',
            fields=[
                ('id', model.FixCharField(default=utils.util.get_uuid, max_length=32, primary_key=True, serialize=False)),
                ('create_time', model.DateTimeFormatField(auto_now_add=True)),
                ('update_time', model.DateTimeFormatField(auto_now=True)),
                ('name', models.CharField(blank=True, max_length=64, null=True, verbose_name='资产名称')),
                ('ip', models.GenericIPAddressField(blank=True, null=True, verbose_name='ip地址')),
                ('port', models.SmallIntegerField(default=22, verbose_name='端口号')),
                ('username', models.CharField(blank=True, max_length=32, null=True, verbose_name='用户名')),
                ('password', models.CharField(blank=True, max_length=32, null=True, verbose_name='密码')),
            ],
            options={
                'verbose_name': '资产表',
                'verbose_name_plural': '资产表',
                'db_table': 'asset_agent',
            },
        ),
        migrations.CreateModel(
            name='Repo',
            fields=[
                ('id', model.FixCharField(default=utils.util.get_uuid, max_length=32, primary_key=True, serialize=False)),
                ('create_time', model.DateTimeFormatField(auto_now_add=True)),
                ('update_time', model.DateTimeFormatField(auto_now=True)),
                ('name', models.CharField(blank=True, max_length=64, null=True, verbose_name='repo名称')),
                ('content', models.TextField(blank=True, null=True, verbose_name='repo详情')),
            ],
            options={
                'verbose_name': 'repo表',
                'verbose_name_plural': 'repo表',
                'db_table': 'asset_repo',
            },
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', model.FixCharField(default=utils.util.get_uuid, max_length=32, primary_key=True, serialize=False)),
                ('create_time', model.DateTimeFormatField(auto_now_add=True)),
                ('update_time', model.DateTimeFormatField(auto_now=True)),
                ('name', models.CharField(blank=True, max_length=64, null=True, verbose_name='任务名称')),
                ('plan', model.SingleChoiceField(default='A', max_length=2, scope='migration_plan', verbose_name='迁移方案')),
                ('status', model.SingleChoiceField(default=0, max_length=4, scope='task_status', verbose_name='任务状态')),
                ('path_gz', models.CharField(blank=True, max_length=128, null=True, verbose_name='迁移方案B文件路径')),
                ('repo', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='tasks', to='asset.repo', verbose_name='repo')),
            ],
            options={
                'verbose_name': '任务表',
                'verbose_name_plural': '任务表',
                'db_table': 'asset_task',
            },
        ),
        migrations.CreateModel(
            name='TaskAgent',
            fields=[
                ('id', model.FixCharField(default=utils.util.get_uuid, max_length=32, primary_key=True, serialize=False)),
                ('create_time', model.DateTimeFormatField(auto_now_add=True)),
                ('update_time', model.DateTimeFormatField(auto_now=True)),
                ('status', model.SingleChoiceField(default=0, max_length=4, scope='taskagent_status', verbose_name='子任务状态')),
                ('msg', models.CharField(blank=True, max_length=512, null=True, verbose_name='状态信息')),
                ('agent', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='taskagents', to='asset.agent', verbose_name='关联agent')),
                ('task', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='taskagents', to='asset.task', verbose_name='关联任务')),
            ],
            options={
                'verbose_name': '任务agent表',
                'verbose_name_plural': '任务agent表',
                'db_table': 'asset_taskagent',
            },
        ),
        migrations.CreateModel(
            name='TaskAgentData',
            fields=[
                ('id', model.FixCharField(default=utils.util.get_uuid, max_length=32, primary_key=True, serialize=False)),
                ('create_time', model.DateTimeFormatField(auto_now_add=True)),
                ('update_time', model.DateTimeFormatField(auto_now=True)),
                ('info_old', models.TextField(blank=True, null=True, verbose_name='原系统info')),
                ('info_new', models.TextField(blank=True, null=True, verbose_name='迁移后info')),
                ('rpm_old', models.TextField(blank=True, null=True, verbose_name='原系统rpm包')),
                ('rpm_new', models.TextField(blank=True, null=True, verbose_name='迁移后rpm包')),
                ('config_old', models.TextField(blank=True, null=True, verbose_name='原系统config')),
                ('config_new', models.TextField(blank=True, null=True, verbose_name='迁移后config')),
                ('task_agent', models.OneToOneField(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='taskagentdata', to='asset.taskagent', verbose_name='关联任务taskagent')),
            ],
            options={
                'verbose_name': '任务agent数据表',
                'verbose_name_plural': '任务agent数据表',
                'db_table': 'asset_taskagent_data',
            },
        ),
    ]
