# Generated by Django 4.1.13 on 2025-01-03 16:38

from django.conf import settings
import django.contrib.auth.models
import django.contrib.auth.validators
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import model
import utils.util


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('username', models.CharField(error_messages={'unique': 'A user with that username already exists.'}, help_text='Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.', max_length=150, unique=True, validators=[django.contrib.auth.validators.UnicodeUsernameValidator()], verbose_name='username')),
                ('first_name', models.CharField(blank=True, max_length=150, verbose_name='first name')),
                ('last_name', models.CharField(blank=True, max_length=150, verbose_name='last name')),
                ('is_staff', models.BooleanField(default=False, help_text='Designates whether the user can log into this admin site.', verbose_name='staff status')),
                ('is_active', models.BooleanField(default=True, help_text='Designates whether this user should be treated as active. Unselect this instead of deleting accounts.', verbose_name='active')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date joined')),
                ('id', model.FixCharField(default=utils.util.get_uuid, max_length=32, primary_key=True, serialize=False)),
                ('create_time', model.DateTimeFormatField(auto_now_add=True)),
                ('update_time', model.DateTimeFormatField(auto_now=True)),
                ('last_operation', model.DateTimeFormatField(blank=True, null=True, verbose_name='最后操作时间')),
                ('nickname', models.CharField(blank=True, max_length=32, null=True, verbose_name='昵称')),
                ('phone', models.CharField(blank=True, max_length=11, null=True, verbose_name='手机号')),
                ('email', models.EmailField(blank=True, max_length=254, null=True, verbose_name='邮箱')),
                ('avatar', models.TextField(blank=True, null=True, verbose_name='头像')),
                ('route', models.JSONField(blank=True, null=True, verbose_name='后端接口权限')),
            ],
            options={
                'verbose_name': '用户表',
                'verbose_name_plural': '用户表',
                'db_table': 'auth_user',
            },
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name='Attachment',
            fields=[
                ('id', model.FixCharField(default=utils.util.get_uuid, max_length=32, primary_key=True, serialize=False)),
                ('create_time', model.DateTimeFormatField(auto_now_add=True)),
                ('update_time', model.DateTimeFormatField(auto_now=True)),
                ('name', models.CharField(blank=True, max_length=64, null=True, verbose_name='附件名称')),
                ('file', models.FileField(upload_to='%Y-%m-%d/', verbose_name='file')),
                ('username', models.CharField(blank=True, max_length=150, null=True, verbose_name='用户名')),
            ],
            options={
                'verbose_name': '附件表',
                'verbose_name_plural': '附件表',
                'db_table': 'system_attachment',
            },
        ),
        migrations.CreateModel(
            name='Department',
            fields=[
                ('id', model.FixCharField(default=utils.util.get_uuid, max_length=32, primary_key=True, serialize=False)),
                ('create_time', model.DateTimeFormatField(auto_now_add=True)),
                ('update_time', model.DateTimeFormatField(auto_now=True)),
                ('parent', model.FixCharField(default='12345678901234567890123456789012', max_length=32, verbose_name='上级目录')),
                ('name', models.CharField(blank=True, max_length=64, null=True, verbose_name='部门名称')),
                ('sort', models.SmallIntegerField(default=1, verbose_name='sort')),
                ('is_active', models.BooleanField(default=True, verbose_name='是否启用')),
                ('remark', models.CharField(blank=True, max_length=128, null=True, verbose_name='备注')),
            ],
            options={
                'verbose_name': '部门表',
                'verbose_name_plural': '部门表',
                'db_table': 'system_department',
            },
        ),
        migrations.CreateModel(
            name='Lookup',
            fields=[
                ('id', model.FixCharField(default=utils.util.get_uuid, max_length=32, primary_key=True, serialize=False)),
                ('create_time', model.DateTimeFormatField(auto_now_add=True)),
                ('update_time', model.DateTimeFormatField(auto_now=True)),
                ('category', models.CharField(max_length=32, verbose_name='类型')),
                ('name', models.CharField(blank=True, max_length=32, null=True, verbose_name='类型名称')),
                ('value', models.CharField(blank=True, max_length=32, null=True, verbose_name='值')),
                ('label', models.CharField(blank=True, max_length=64, null=True, verbose_name='值的含义')),
                ('sort', models.SmallIntegerField(default=1, verbose_name='排序')),
                ('is_active', models.BooleanField(default=True, verbose_name='是否启用')),
                ('is_category', models.BooleanField(default=True, verbose_name='是否是类型')),
                ('remark', models.CharField(blank=True, max_length=128, null=True, verbose_name='备注')),
            ],
            options={
                'verbose_name': '码表',
                'verbose_name_plural': '码表',
                'db_table': 'system_lookup',
            },
        ),
        migrations.CreateModel(
            name='Menu',
            fields=[
                ('id', model.FixCharField(default=utils.util.get_uuid, max_length=32, primary_key=True, serialize=False)),
                ('create_time', model.DateTimeFormatField(auto_now_add=True)),
                ('update_time', model.DateTimeFormatField(auto_now=True)),
                ('parent', model.FixCharField(default='12345678901234567890123456789012', max_length=32, verbose_name='上级目录')),
                ('name', models.CharField(blank=True, max_length=64, null=True, verbose_name='名称')),
                ('category', models.CharField(blank=True, max_length=64, null=True, verbose_name='类型')),
                ('path', models.CharField(blank=True, max_length=64, null=True, verbose_name='路由路径')),
                ('component', models.CharField(blank=True, max_length=64, null=True, verbose_name='组件')),
                ('sort', models.SmallIntegerField(default=1, verbose_name='排序')),
                ('icon', models.CharField(blank=True, max_length=64, null=True, verbose_name='图标')),
                ('redirect', models.CharField(blank=True, max_length=64, null=True, verbose_name='重定向地址')),
                ('perm', models.CharField(blank=True, max_length=32, null=True, verbose_name='按钮权限')),
                ('hidden', models.BooleanField(default=False, verbose_name='是否隐藏')),
                ('keep_alive', models.BooleanField(default=True, verbose_name='是否缓存')),
                ('always_show', models.BooleanField(default=False, verbose_name='根节点是否始终显示')),
            ],
            options={
                'verbose_name': '菜单表',
                'verbose_name_plural': '菜单表',
                'db_table': 'system_menu',
            },
        ),
        migrations.CreateModel(
            name='Role',
            fields=[
                ('id', model.FixCharField(default=utils.util.get_uuid, max_length=32, primary_key=True, serialize=False)),
                ('create_time', model.DateTimeFormatField(auto_now_add=True)),
                ('update_time', model.DateTimeFormatField(auto_now=True)),
                ('name', models.CharField(blank=True, max_length=64, null=True, verbose_name='角色名称')),
                ('sort', models.SmallIntegerField(default=1, verbose_name='sort')),
                ('is_active', models.BooleanField(default=True, verbose_name='是否启用')),
                ('remark', models.CharField(blank=True, max_length=128, null=True, verbose_name='备注')),
                ('menu_ids', model.MultipleChoiceField(blank=True, null=True, scope=None, verbose_name='菜单集合')),
                ('users', models.ManyToManyField(blank=True, db_constraint=False, null=True, related_name='roles', to=settings.AUTH_USER_MODEL, verbose_name='关联用户')),
            ],
            options={
                'verbose_name': '角色表',
                'verbose_name_plural': '角色表',
                'db_table': 'system_role',
            },
        ),
        migrations.AddField(
            model_name='user',
            name='department',
            field=models.ForeignKey(blank=True, db_constraint=False, default='87654321876543218765432187654321', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='departments', to='system.department', verbose_name='所属部门'),
        ),
        migrations.AddField(
            model_name='user',
            name='groups',
            field=models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.group', verbose_name='groups'),
        ),
        migrations.AddField(
            model_name='user',
            name='user_permissions',
            field=models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.permission', verbose_name='user permissions'),
        ),
    ]
